GDCM: gdcm::LO Class Reference

GDCM 3.2.10

Public Types | Public Member Functions | List of all members
gdcm::LO Class Reference

LO. More...

`#include <gdcmLO.h>`

Inheritance diagram for gdcm::LO:
[legend]
Collaboration diagram for gdcm::LO:
[legend]

## Public Types
typedef Superclass::const_iterator | const_iterator
typedef Superclass::const_reference | const_reference
typedef Superclass::const_reverse_iterator | const_reverse_iterator
typedef Superclass::difference_type | difference_type
typedef Superclass::iterator | iterator
typedef Superclass::pointer | pointer
typedef Superclass::reference | reference
typedef Superclass::reverse_iterator | reverse_iterator
typedef Superclass::size_type | size_type
typedef String<'\\', 64 > | Superclass
typedef Superclass::value_type | value_type

## Public Member Functions
| LO ()
| LO (const Superclass &s, size_type pos=0, size_type n=npos)
| LO (const value_type *s)
| LO (const value_type *s, size_type n)
bool | IsValid () const

## Detailed Description

LO.

Note
  TODO

## Member Typedef Documentation

## ◆ const_iterator

typedef Superclass::const_iterator gdcm::LO::const_iterator

## ◆ const_reference

typedef Superclass::const_reference gdcm::LO::const_reference

## ◆ const_reverse_iterator

typedef Superclass::const_reverse_iterator gdcm::LO::const_reverse_iterator

## ◆ difference_type

typedef Superclass::difference_type gdcm::LO::difference_type

## ◆ iterator

typedef Superclass::iterator gdcm::LO::iterator

## ◆ pointer

typedef Superclass::pointer gdcm::LO::pointer

## ◆ reference

typedef Superclass::reference gdcm::LO::reference

## ◆ reverse_iterator

typedef Superclass::reverse_iterator gdcm::LO::reverse_iterator

## ◆ size_type

typedef Superclass::size_type gdcm::LO::size_type

## ◆ Superclass

typedef String<'\\',64> gdcm::LO::Superclass

## ◆ value_type

typedef Superclass::value_type gdcm::LO::value_type

## Constructor & Destructor Documentation

## ◆ LO() [1/4]

gdcm::LO::LO | ( |  | ) |
| inline

## ◆ LO() [2/4]

gdcm::LO::LO | ( | const value_type * | s | ) |
| inline

## ◆ LO() [3/4]

gdcm::LO::LO | ( | const value_type * | s,
|  | size_type | n )
| inline

## ◆ LO() [4/4]

gdcm::LO::LO | ( | const Superclass & | s,
|  | size_type | pos = 0,
|  | size_type | n = npos )
| inline

## Member Function Documentation

## ◆ IsValid()

bool gdcm::LO::IsValid | ( |  | ) | const
| inline

References gdcm::String<'\\', 64 >::IsValid().

The documentation for this class was generated from the following file:

- gdcmLO.h